#include <bits/stdc++.h>
using namespace std;

int main(){
    int t; cin >> t;
    string r[t];
    for (int i=0; i<t; i++){
        int n; cin >> n;
        int a[n], b[n];
        int neg=0;
        int poz=0;
        int negb=0;
        int pozb=0;
        for (int j=0; j<n; j++){
            cin >> a[j];
            if(a[j]<=0) neg++;
            else poz++;}
        for (int j=0; j<n; j++){
            cin >> b[j];
            if(b[j]<=0) negb++;
            else pozb++;}
            if(neg%2==negb%2)
                r[t]="DA";
            else r[t]= "NE";

    }
    for (int i=0; i<t; i++)
    cout << r[t] <<endl;
return 0;}